One Star

The download URL error V6.1

after launching empty project i always have the same problem.
windows 7, x64
TOS_DI-win-x86_64.exe (TOS_DI-20150924_1412-V6.1.0RC1)
java 1.8 upd 45
after pressing finish it says that installed successfully, but after restarting it appears again.
info:
33 REPLIES
One Star

Re: The download URL error V6.1

screenshots
Community Manager

Re: The download URL error V6.1

Hi
First maybe try to get the GA (it's available for download since last week only) rather than continuing on an release candidate (RC1 suffix in the installer you mention above).
Is your machine behind a proxy?
Cheers,
Elisa
One Star

Re: The download URL error V6.1

Hello.
Thanks. I will try new release. I didn't have this error in talend V6.0.1.
and yeas, my computer is behind proxy, and all other components downloaded successfully. But I will try new release and write result here, thank you.
One Star

Re: The download URL error V6.1

i have the same problem.
after first starting talend, it wants to update components, i accepted all licenses. than it show error
but after restarting all is fine, returns to updating..
and than it stuck at this step


and don't want to update.. also i have error messages in log:
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2015-11-03 15:55:10.771
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
    at org.eclipse.osgi.container.Module.start(Module.java:434)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
    at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!MESSAGE 2015-11-03 15:56:28,862 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for commons-codec-1.9.jar is not available (many other messages like that)
!MESSAGE 2015-11-03 16:16:55,024 ERROR org.talend.commons.exception.CommonExceptionHandler  - Read timed out
!STACK 0
java.net.SocketTimeoutException: Read timed out
    at java.net.SocketInputStream.socketRead0(Native Method)
    at java.net.SocketInputStream.socketRead(Unknown Source)
    at java.net.SocketInputStream.read(Unknown Source)
    at java.net.SocketInputStream.read(Unknown Source)
    at sun.security.ssl.InputRecord.readFully(Unknown Source)
    at sun.security.ssl.InputRecord.readV3Record(Unknown Source)
    at sun.security.ssl.InputRecord.read(Unknown Source)
    at sun.security.ssl.SSLSocketImpl.readRecord(Unknown Source)
    at sun.security.ssl.SSLSocketImpl.readDataRecord(Unknown Source)
    at sun.security.ssl.AppInputStream.read(Unknown Source)
    at java.io.BufferedInputStream.read1(Unknown Source)
    at java.io.BufferedInputStream.read(Unknown Source)
    at sun.net.www.MeteredStream.read(Unknown Source)
    at java.io.FilterInputStream.read(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(Unknown Source)
    at java.io.BufferedInputStream.read1(Unknown Source)
    at java.io.BufferedInputStream.read(Unknown Source)
    at java.io.FilterInputStream.read(Unknown Source)
    at org.talend.librariesmanager.utils.nexus.NexusDownloader.download(NexusDownloader.java:105)
    at org.talend.core.download.DownloadHelperWithProgress.download(DownloadHelperWithProgress.java:90)
    at org.talend.librariesmanager.utils.DownloadModuleRunnable.downLoad(DownloadModuleRunnable.java:100)
    at org.talend.librariesmanager.utils.DownloadModuleRunnable.run(DownloadModuleRunnable.java:69)
    at org.talend.updates.runtime.model.TalendWebServiceUpdateExtraFeature.install(TalendWebServiceUpdateExtraFeature.java:96)
    at org.talend.updates.runtime.engine.InstallNewFeatureJob.installFeature(InstallNewFeatureJob.java:74)
    at org.talend.updates.runtime.engine.InstallNewFeatureJob.run(InstallNewFeatureJob.java:65)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)


Community Manager

Re: The download URL error V6.1

Could you try to manually install the missing jars from the "Module" view maybe? It seems that there is a timeout on the connection.
One Star

Re: The download URL error V6.1

it says that installed successfully, but after restart it isn't

The download URL for commons-codec-1.9.jar is not available
The download URL for commons-logging-1.2.jar is not available
The download URL for curator-client-2.7.1.jar is not available
The download URL for curator-framework-2.7.1.jar is not available
The download URL for curator-recipes-2.7.1.jar is not available
The download URL for derby-10.10.2.0.jar is not available
The download URL for hadoop-annotations-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-auth-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-common-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-hdfs-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-mapreduce-client-common-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-mapreduce-client-core-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-mapreduce-client-jobclient-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-yarn-api-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-yarn-client-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hadoop-yarn-common-2.7.1.2.3.0.0-2557.jar is not available
The download URL for hbase-client-1.1.1.2.3.0.0-2557.jar is not available
The download URL for hbase-common-1.1.1.2.3.0.0-2557.jar is not available
The download URL for hbase-hadoop-compat-1.1.1.2.3.0.0-2557.jar is not available
The download URL for hbase-protocol-1.1.1.2.3.0.0-2557.jar is not available
The download URL for hbase-server-1.1.1.2.3.0.0-2557.jar is not available
The download URL for high-scale-lib-1.1.4.jar is not available
The download URL for hive-common-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-exec-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-hbase-handler-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-hcatalog-core-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-hcatalog-pig-adapter-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-hcatalog-server-extensions-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-jdbc-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-metastore-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-serde-1.2.1.2.3.0.0-2557.jar is not available
The download URL for hive-service-1.2.1.2.3.0.0-2557.jar is not available
The download URL for httpclient-4.4.jar is not available
The download URL for httpcore-4.4.jar is not available
The download URL for joda-time-2.5.jar is not available
The download URL for netty-all-4.0.23.Final.jar is not available
The download URL for parquet-hadoop-bundle-1.6.0.jar is not available
The download URL for pig-0.15.0.2.3.0.0-2557-core-h2.jar is not available
The download URL for piggybank-hdp2.3.jar is not available
The download URL for snappy-java-1.1.0.1.jar is not available
The download URL for sqoop-1.4.6.2.3.0.0-2557.jar is not available
The download URL for stax-api-1.0-2.jar is not available
The download URL for talend-spark-assembly-1.3.1.2.3.0.0-2557-hadoop2.7.1.2.3.0.0-2557.jar is not available
The download URL for talend-spark-streaming-kafka-assembly-2.10-1.3.1-hadoop2.7.1.jar is not available
The download URL for tez-api-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-common-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-dag-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-mapreduce-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-mbeans-resource-calculator-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-runtime-internals-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-runtime-library-0.7.0.2.3.0.0-2557.jar is not available
The download URL for tez-yarn-timeline-history-0.7.0.2.3.0.0-2557.jar is not available
The download URL for maprfs-4.1.0-mapr.jar is not available
The download URL for mapr-hbase-4.1.0-mapr.jar is not available
The download URL for libprotodefs-4.1.0-mapr.jar is not available
The download URL for jopt-simple-3.2.jar is not available
The download URL for zkclient-0.3.jar is not available
The download URL for maprfs-5.0.0-mapr.jar is not available
The download URL for hadoop-auth-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-common-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-app-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-common-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-contrib-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-core-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-hs-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-hs-plugins-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-jobclient-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-mapreduce-client-shuffle-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-yarn-api-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-yarn-client-2.7.0-mapr-1506.jar is not available
The download URL for hadoop-yarn-common-2.7.0-mapr-1506.jar is not available
The download URL for hbase-client-0.98.12-mapr-1506.jar is not available
The download URL for hbase-common-0.98.12-mapr-1506.jar is not available
The download URL for hbase-protocol-0.98.12-mapr-1506.jar is not available
The download URL for hbase-server-0.98.12-mapr-1506.jar is not available
The download URL for sqoop-1.4.6-mapr-1506.jar is not available
The download URL for hadoop-hdfs-2.7.0-mapr-1506.jar is not available
The download URL for hive-exec-1.0.0-mapr.jar is not available
The download URL for hive-metastore-1.0.0-mapr.jar is not available
The download URL for hive-jdbc-1.0.0-mapr.jar is not available
The download URL for hive-service-1.0.0-mapr.jar is not available
The download URL for hive-hcatalog-core-1.0.0-mapr.jar is not available
The download URL for hive-hcatalog-pig-adapter-1.0.0-mapr.jar is not available
The download URL for piggybank-mapr50X.jar is not available
The download URL for mapr-hbase-5.0.0-mapr.jar is not available
The download URL for hive-hbase-handler-1.0.0-mapr.jar is not available
The download URL for h2-1.3.160.jar is not available
The download URL for sas.intrnet.javatools.jar is not available
The download URL for sas.svc.connection.jar is not available
The download URL for sapdbc.jar is not available
The download URL for postgis_1.4.0.jar is not available
The download URL for org.talend.sdi.jar is not available
The download URL for commons-beanutils-1.7.jar is not available
The download URL for jodbc.jar is not available
The download URL for cxf-tools-common-3.1.3.jar is not available
The download URL for cxf-rt-databinding-xmlbeans-3.1.3.jar is not available
The download URL for cxf-rt-ws-mex-3.1.3.jar is not available
The download URL for cxf-rt-ws-rm-3.1.3.jar is not available
The download URL for cxf-services-sts-core-3.1.3.jar is not available
The download URL for jasperreports-6.1.0.jar is not available
The download URL for barcode4j-2.1.jar is not available
The download URL for iText-2.1.7.js2.jar is not available
The download URL for commons-cli-1.0.jar is not available
The download URL for javax.annotation-api-1.2.jar is not available
The download URL for wss4j-bindings-2.1.3.jar is not available
The download URL for sapjco.jar is not available

where can i find what links are using?
Moderator

Re: The download URL error V6.1

Hi Jetab,
How about your internet connection?
Is the network Ok with you? Are you behind proxy?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: The download URL error V6.1

Hello Sabrina. Yes, I am using proxy and internet work well(Talend news in start page loaded successfully). In the "installiation details" -> " configuration" i can see my proxy settings.
I don't know why, but in error printed  "Native Method", but i have active provider: manual.
at java.net.SocketInputStream.socketRead0(Native Method)


  
One Star

Re: The download URL error V6.1

I am experiencing a similar issue, trying to install 6.1.0 version today:
Every time I open the application, it asks again to install Additional Talend Packages (see screenshot).
I click 'Finish' to install, and then it eventually asks me to restart the application...
I never see any error messages, but when the application restarts, it asks to install the same packages again.
It will do this over and over and over again - either it does not install the packages, or it does not recognize that they were installed?
One Star

Re: The download URL error V6.1

I have verified this happening now on another machine as well - stuck in an endless loop...
Moderator

Re: The download URL error V6.1

Hi guys,
Have you tried to manually install the missing jars from the "Module" view? Please take a look at documents about:TalendHelpCenter:Identify required external modules and TalendHelpCenter:Install external modules?
Every time I open the application, it asks again to install Additional Talend Packages (see screenshot).
I click 'Finish' to install, and then it eventually asks me to restart the application...
I never see any error messages, but when the application restarts, it asks to install the same packages again.
It will do this over and over and over again - either it does not install the packages, or it does not recognize that they were installed?

 We are working on this issue and then come back to you as soon as we can.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: The download URL error V6.1

hello, I have tried it, and i wrote result above yesterday. It doesn't want to install from modules. Do you have link to correct asm-3.2.jar?
Moderator

Re: The download URL error V6.1

Hi Jetab,
We have send an email to you with the asm-3.2.jar file. Let us know if it is helpful.
Have you already checked the folder C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries to see if there is any installed jar files(auto installation by studio)?
Best regards
Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: The download URL error V6.1

only 4 modules don't wan't to be installed:
asm-3.2
httpclient-4.1.1
httpcore-4.1
pig-core-h2
I had tried to remove all "httpcore-*, httpclient-*, asm-*" directories from C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries and than tried to install modules. All modules installed successfulle except 4 modules from list above(and folders exists in the dir of libraries). Smiley Sad For example: httpclient-4.3.4 installed successfully on the first try.
Two Stars

Re: The download URL error V6.1

Same problem. Tried a new install but no luck. 
Great testing guys!
One Star

Re: The download URL error V6.1

as we can see in this topic https://www.talendforge.org/forum/viewtopic.php?id=46712
The 6.1.x that you downloaded is only a BETA release and will be GA by the end of the year.

6.1 is beta so it can have bugs. but why has this version been released? without any prompts that it is beta...
Moderator

Re: The download URL error V6.1

Hi,
6.1 is beta so it can have bugs. but why has this version been released? without any prompts that it is beta...

Talend Open Studio 6.1.0 has been released since Oct 30 2015. It's stable version not Beta.

Please check the release type from official website:

http://www.talend.com/download/talend-open-studio#t4

Talend Subscription Solution GA (v6.1.1) will be released by the end of the year(The lastest one is 6.0.1).
We are working on this issue to find out a final solution and then come back to you as soon as we can.
Our apologies for the inconvenience.
Best regards
Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: The download URL error V6.1

Exactly same problem on Talend Open Studio 6.1.0
I've skipped 6.0.x so I guess I'll skip 6.1.x also and stay again on trusty 5.5.x for now.
This new package / dependency maven based downloading has too many moving parts on each system and maybe exception handling has still to be still to be refined, so I guess I'll wait till 6.2.x
One Star

Re: The download URL error V6.1

Same problem here. I've already tried updating from the modules window and the other things already on this thread. I'm not behind a proxy. If I try to do Windows>Install External Software... I get "Cannot complete the request. This installation has not been configured properly for Software Updates. See the error log for details."
The error log shows "Could not locate the running profile instance. The eclipse.p2.data.area and eclipse.p2.profile properties may not be set correctly in this application's config.ini file."
Session data:
eclipse.buildId=unknown
java.version=1.8.0_60
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_GB
Framework arguments:  -talendReload false
Command-line arguments:  -talendReload false -os linux -ws gtk -arch x86_64

Underneath are a large number of errors of the form
2015-11-16 10:19:27,748 INFO  org.talend.commons.exception.CommonExceptionHandler  - The download URL for sapjco.jar is not available
Moderator

Re: The download URL error V6.1

Hi charvolant,
Could you please indicate the build version you are using? Your networking is fine?
Have you already checked KB article about:TalendHelpCenter:Configuring a proxy in the maven setting file?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: The download URL error V6.1

Hello Sabrina,
I have the same problem.
I have checked the folder C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries to see if the file asm-3.2.jar appears and it's in this directory.
Nevertheless, this file appears again and again in the modules which must be downloaded.
I deleted this file from the directory C:\Users\"YourCurrentUser" \.m2\repository\org\talend\libraries and then, I download the modules. Then, this file (asm-3.2.jar) appears in the directory again. Nevertheless, after restarting of Talend, this file appears again in the modules which must be downloaded.
Please, could you help me to solve this problem?
Regards.
Olivier
Community Manager

Re: The download URL error V6.1

Hi orozier
there is an identified issue for one or two files indeed. There should be a box like "do not show this again" which should prevent the pop-up to come back (even if the optional jar doesn't get installed anyway - this doesn't solve the issue).
Sorry for now we only have workarounds like this, but the team is working on the issue.
Cheers,
Elisa
One Star

Re: The download URL error V6.1

I have been having the same issue with all version 6 installs and Java 8.  It continually loops through this screen and times out when installing the files.
I have Windows 7 64 bit, and 32 bit Java 8.
One Star

Re: The download URL error V6.1

I was able to install version 5.6 albeit with Java 7 without any issue whatsoever.
One Star

Re: The download URL error V6.1

Hi charvolant,
Could you please indicate the build version you are using? Your networking is fine?


Hi Sabrina,
Version is TOS_DI-20151029_1337-V6.1.0
Networking is fine and I'm not using a proxy; I run maven for other projects with no difficulty.
Doug
One Star

Re: The download URL error V6.1

Still issue is still alive and quite annoying. V6.1
Moderator

Re: The download URL error V6.1

Hi,
This issue is fixed on 6.0.2 and 6.1.1 and we are doing the final testing on it.
https://jira.talendforge.org/browse/TUP-2943
Feel free to create a ticket on Talend Support Portal if you are using Talend subscription products to get the patch from our support colleagues.
Our apologies for the inconvenience.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: The download URL error V6.1

Hello,
I need cfx-tools-common-3.1.3.jar in my job but I cannot find it on web. Can somebody give me a hint? 

Tks 
Moderator

Re: The download URL error V6.1

Hi nicoleta,
Could you please check the maven repository to see if it is what you are looking for?
http://mvnrepository.com/artifact/org.apache.cxf/cxf-tools-common
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.